gtkmm: Gtk::PrintSettings::Keys Class Reference

gtkmm 2.24.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes

# Gtk::PrintSettings::Keys Class Reference

Print settings keys. More...

Collaboration diagram for Gtk::PrintSettings::Keys:
[legend]

List of all members.

## Static Public Attributes
static const Glib::ustring | PRINTER
static const Glib::ustring | ORIENTATION
static const Glib::ustring | PAPER_FORMAT
static const Glib::ustring | PAPER_WIDTH
static const Glib::ustring | PAPER_HEIGHT
static const Glib::ustring | NUM_COPIES
static const Glib::ustring | DEFAULT_SOURCE
static const Glib::ustring | QUALITY
static const Glib::ustring | RESOLUTION
static const Glib::ustring | USE_COLOR
static const Glib::ustring | DUPLEX
static const Glib::ustring | COLLATE
static const Glib::ustring | REVERSE
static const Glib::ustring | MEDIA_TYPE
static const Glib::ustring | DITHER
static const Glib::ustring | SCALE
static const Glib::ustring | PRINT_PAGES
static const Glib::ustring | PAGE_RANGES
static const Glib::ustring | PAGE_SET
static const Glib::ustring | FINISHINGS
static const Glib::ustring | NUMBER_UP
static const Glib::ustring | NUMBER_UP_LAYOUT
static const Glib::ustring | OUTPUT_BIN
static const Glib::ustring | OUTPUT_FILE_FORMAT
static const Glib::ustring | OUTPUT_URI
static const Glib::ustring | WIN32_DRIVER_VERSION
static const Glib::ustring | WIN32_DRIVER_EXTRA

## Detailed Description

Print settings keys.

## Member Data Documentation

const Glib::ustring Gtk::PrintSettings::Keys::COLLATE`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::DEFAULT_SOURCE`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::DITHER`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::DUPLEX`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::FINISHINGS`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::MEDIA_TYPE`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::NUM_COPIES`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::NUMBER_UP`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::NUMBER_UP_LAYOUT`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::ORIENTATION`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::OUTPUT_BIN`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::OUTPUT_FILE_FORMAT`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::OUTPUT_URI`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::PAGE_RANGES`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::PAGE_SET`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::PAPER_FORMAT`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::PAPER_HEIGHT`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::PAPER_WIDTH`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::PRINT_PAGES`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::PRINTER`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::QUALITY`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::RESOLUTION`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::REVERSE`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::SCALE`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::USE_COLOR`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::WIN32_DRIVER_EXTRA`[static]`

const Glib::ustring Gtk::PrintSettings::Keys::WIN32_DRIVER_VERSION`[static]`

The documentation for this class was generated from the following file:

- gtkmm/printsettings.h